summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBenda Xu <heroxbd@gentoo.org>2019-06-29 20:29:56 +0800
committerBenda Xu <heroxbd@gentoo.org>2019-06-30 11:56:43 +0800
commit33403928ce4bb3883689270dfebbbdff4a9ea4ac (patch)
tree38ed0efa061093f9dc326655fb7c18f1cd6d6599 /sci-physics
parentapp-doc/geant-docs: version bump. (diff)
downloadgentoo-33403928ce4bb3883689270dfebbbdff4a9ea4ac.tar.gz
gentoo-33403928ce4bb3883689270dfebbbdff4a9ea4ac.tar.bz2
gentoo-33403928ce4bb3883689270dfebbbdff4a9ea4ac.zip
sci-physics/geant: version bump.
Adopt eapi7-ver. Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Benda Xu <heroxbd@gentoo.org>
Diffstat (limited to 'sci-physics')
-rw-r--r--sci-physics/geant/Manifest1
-rw-r--r--sci-physics/geant/geant-4.10.05_p01.ebuild97
2 files changed, 98 insertions, 0 deletions
diff --git a/sci-physics/geant/Manifest b/sci-physics/geant/Manifest
index 80ea674df07..7fde0b416a8 100644
--- a/sci-physics/geant/Manifest
+++ b/sci-physics/geant/Manifest
@@ -1 +1,2 @@
DIST geant4.10.03.tar.gz 33143770 BLAKE2B f84c4dc680c45bc5728485e3e38852de90ae0f89dfe4cf65677aa86f6d90b4cbe5d2ffec812b08d05c88f8abb73f006f3a5319bcfd48c20872299ccfd91c7e39 SHA512 61d67e57f1576ab10562f2309995897008b4be1aa60f7e471b4f5efc2d852788d5faf60e64ea7024a4af4035d98c04c0be23df8593a4ed3a510af6b476013c56
+DIST geant4.10.05.p01.tar.gz 34413415 BLAKE2B d98a9308e37f166dccf8f9640a54ee74ab2b1d07275609666aec6d929b0193269a18075762cebaa154abcad5c8359a128b6629ff973cb6cdc8f54535151997a3 SHA512 ace2097251ee4cdda3511c3dd8191c97e1001f73d421797e3cd517ed41fa5adc73efcddfb2c8b6fb75231e5af8ddb4bd63a402ccb99b40ce2c140588d328b582
diff --git a/sci-physics/geant/geant-4.10.05_p01.ebuild b/sci-physics/geant/geant-4.10.05_p01.ebuild
new file mode 100644
index 00000000000..80ee3ae7420
--- /dev/null
+++ b/sci-physics/geant/geant-4.10.05_p01.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils eapi7-ver
+
+MY_P=${PN}${PV/_/.}
+SPV="$(ver_cut 1-2).$(printf %1d $(ver_cut 3))"
+
+DESCRIPTION="Toolkit for simulation of passage of particles through matter"
+HOMEPAGE="http://geant4.cern.ch/"
+SRC_URI="http://geant4.cern.ch/support/source/${MY_P}.tar.gz"
+
+LICENSE="geant4"
+SLOT="4"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="+data dawn doc examples gdml geant3 inventor motif opengl
+ qt5 raytracerx static-libs threads vrml zlib"
+
+RDEPEND="
+ dev-libs/expat
+ >=sci-physics/clhep-2.3.3.0:2=
+ dawn? ( media-gfx/dawn )
+ gdml? ( dev-libs/xerces-c )
+ inventor? ( media-libs/SoXt )
+ motif? ( x11-libs/motif:0 )
+ opengl? ( virtual/opengl )
+ qt5? (
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtwidgets:5
+ opengl? ( dev-qt/qtopengl:5 )
+ )
+ raytracerx? (
+ x11-libs/libX11
+ x11-libs/libXmu
+ )
+ zlib? ( sys-libs/zlib )"
+DEPEND="${RDEPEND} prefix? ( app-shells/tcsh )"
+PDEPEND="
+ data? ( ~sci-physics/geant-data-${PV/_p*/} )
+ doc? ( ~app-doc/geant-docs-${PV/_p*/} )"
+
+HTML_DOCS=( ReleaseNotes/ReleaseNotes${SPV}.html )
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ cmake-utils_src_prepare
+
+ if ! use examples; then
+ sed -i '/install(DIRECTORY examples/,/)/d' CMakeLists.txt || die
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DGEANT4_USE_SYSTEM_CLHEP=ON
+ -DGEANT4_INSTALL_DATA=OFF
+ -DGEANT4_BUILD_MULTITHREADED=$(usex threads)
+ -DGEANT4_BUILD_TLS_MODEL=$(usex threads global-dynamic initial-exec)
+ -DGEANT4_USE_NETWORKDAWN=$(usex dawn)
+ -DGEANT4_USE_GDML=$(usex gdml)
+ -DGEANT4_USE_G3TOG4=$(usex geant3)
+ -DGEANT4_USE_XM=$(usex motif)
+ -DGEANT4_USE_OPENGL_X11=$(usex opengl)
+ -DGEANT4_USE_INVENTOR=$(usex inventor)
+ -DGEANT4_USE_QT=$(usex qt5)
+ -DGEANT4_USE_RAYTRACER_X11=$(usex raytracerx)
+ -DGEANT4_USE_NETWORKVRML=$(usex vrml)
+ -DGEANT4_USE_SYSTEM_ZLIB=$(usex zlib)
+ -DBUILD_STATIC_LIBS=$(usex static-libs)
+ )
+ if use inventor; then
+ mycmakeargs+=(
+ -DINVENTOR_INCLUDE_DIR="$(coin-config --includedir)"
+ -DINVENTOR_SOXT_INCLUDE_DIR="$(coin-config --includedir)"
+ )
+ fi
+ cmake-utils_src_configure
+}
+
+src_install() {
+ # adjust clhep linking flags for system clhep
+ # binmake.gmk is only useful for legacy build systems
+ sed -i -e 's/-lG4clhep/-lCLHEP/' config/binmake.gmk || die
+ cmake-utils_src_install
+ [[ -f ReleaseNotes/Patch${SPV}-1.txt ]] && DOCS+=( ReleaseNotes/Patch${SPV}-*.txt )
+ einstalldocs
+}
+
+pkg_postinst() {
+ elog "The following scripts are provided for backward compatibility:"
+ elog "$(ls -1 ${EROOT%/}/usr/share/${PN^}${SPV}.*/geant4make/*sh)"
+}